<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="proxy" id="top-clients-by-destinations">

 <lire:title>Top Clients by Destinations Proxy Report</lire:title>
 <lire:description>
  <para>This report lists the most popular destinations along with the
   clients that accessed them.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="clients_to_show" type="int" default="10">
    <lire:description>
    <para>This parameter controls the number of clients for each
     destination to display in the report.</para>
   </lire:description>
  </lire:param>

  <lire:param name="dsts_to_show" type="int" default="10">
    <lire:description>
    <para>This parameter controls the number of destinations to display in the
       report.</para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Top Clients by Destinations, Top $dsts_to_show
     sites, Top $clients_to_show Clients </lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-requests_total" limit="$dsts_to_show">
   <lire:field name="dst_host"/>
   <lire:count name="requests_total"/>
   <lire:group sort="-requests_by_client" limit="$clients_to_show">
    <lire:field name="client_host"/>
    <lire:count name="requests_by_client"/>
   </lire:group>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
$Id: top-clients-by-destinations.xml,v 1.1 2002/02/07 20:45:43 flacoste Exp $
Keep this comment at the end of the file
Local variables:
mode: xml
-->
